<!DOCTYPE xsl:stylesheet [
<!ENTITY % imageEntity SYSTEM "../modules/dtd/image.ent">
%imageEntity;
]>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1"/>

	<!-- generate_nav_wizard 
	This template generates the navigation bar on each wizard or day 2 day page
	generating code : html
	Whatever the navbar, we have 5 columns :               
	help is always in 1st col(optionnal), cancel in 2nd, previous 3rd, 
	next 4th, apply 5th                                    
	-->
	<!-- input type="submit" name="cmd" value="Cancel"/ -->
	<!-- input type="submit" name="cmd" value="Previous"/ -->
	<!-- input type="submit" name="cmd" value="Next"/ -->


	<xsl:template name="generate_html_nav_wizard">

		<xsl:param name="type"/>
		<xsl:param name="helpURL"/>
		<xsl:param name="root-path"/>
		<xsl:param name="lang"/>
		<xsl:comment>Start of navigation bar</xsl:comment> 
		<xsl:comment>type: <xsl:value-of select="$type"/> Page</xsl:comment>
		<xsl:comment>lang: <xsl:value-of select="$lang"/> Page</xsl:comment>

		<p class="separator">
			<img src="&separator;" alt="------" title="------" width="555" height="2"/>
		</p>
		<div align="center">
			<!--
			<p>&nbsp;</p>
			-->
			<table width="500" cellspacing="1" cellpadding="2">
				<xsl:attribute name="border">
					<xsl:value-of select="$tableborders"/>
				</xsl:attribute>

				<!-- put all bouton in one line 
				<tr valign="top" align="center">-->
					<tr>
						<!-- display Help Button if (helpURL) -->
						<td width="65">
							<xsl:choose>
								<xsl:when test="string-length($helpURL)>0">
									<!--
									<xsl:text disable-output-escaping="yes"><![CDATA[<A onClick='window.open("help/]]></xsl:text>
										<xsl:value-of select="$root-path"/>/<xsl:value-of select="$src"/>/<xsl:value-of select="$helpURL"/>.html","help","toolbar=no,menubar=no,scrollbars=yes,width=400,height=300,resizable=yes");
										return false' href="help/<xsl:value-of select="$src"/>/<xsl:value-of select="$helpURL"/>.html"<xsl:text disable-output-escaping="yes"><![CDATA[><IMG src="&help-en;" border=0></A>]]></xsl:text>
										-->
										<xsl:text disable-output-escaping="yes">&lt;A onClick='window.open("help/</xsl:text>
										<xsl:value-of select="$root-path"/>
										<xsl:value-of select="'/'"/>
										<xsl:value-of select="$src"/>
										<xsl:value-of select="'/'"/>
										<xsl:value-of select="$helpURL"/>
										<xsl:value-of select="'.html'"/>
										<xsl:text disable-output-escaping="yes">","help","toolbar=no,menubar=no,scrollbars=yes,width=400,height=300,resizable=yes"); return false' </xsl:text>

										<xsl:text disable-output-escaping="yes">href="</xsl:text>
										<xsl:value-of select="'help/'"/>
										<xsl:value-of select="$root-path"/>
										<xsl:value-of select="'/'"/>
										<xsl:value-of select="$src"/>
										<xsl:value-of select="'/'"/>
										<xsl:value-of select="$helpURL"/>
										<xsl:value-of select="'.html'"/>
										<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
										<xsl:choose>
											<xsl:when test="$lang = 'fr'">
										<IMG src="&help-fr;" border="0" width="65" height="22"/>
											</xsl:when>
											<xsl:when test="$lang = 'es'">
										<IMG src="&help-es;" border="0" width="65" height="22"/>
											</xsl:when>
											<xsl:otherwise>
										<IMG src="&help-en;" border="0" width="65" height="22"/>
											</xsl:otherwise>
										</xsl:choose>

										<xsl:text disable-output-escaping="yes">&lt;/A&gt;</xsl:text>
									</xsl:when>
									<xsl:otherwise><img src="&pixel;" width="65" height="1"/></xsl:otherwise>
								</xsl:choose>
							</td>

							<td width="*">&nbsp;</td>
							<!-- display Cancel Button one all pages  -->
							<td width="65">
								<xsl:choose>
									<xsl:when test="$type!='none'">
										<xsl:choose>
											<xsl:when test="$lang = 'fr'">
												<input type="image" name="Cancel" src="&cancel-fr;"
													value="Cancel" alt="[Cancel]" title="Cancel" border="0"/>
											</xsl:when>
											<xsl:when test="$lang = 'es'">
												<input type="image" name="Cancel" src="&cancel-es;"
													value="Cancel" alt="[Cancel]" title="Cancel" border="0"/>
											</xsl:when>
											<xsl:otherwise>
												<input type="image" name="Cancel" src="&cancel-en;"
													value="Cancel" alt="[Cancel]" title="Cancel" border="0"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:otherwise><img src="&pixel;" width="65" height="1"/></xsl:otherwise>
								</xsl:choose>
							</td>

							<!-- display Previous Button on 
							wizard, previous wizard, error, end-wizard pages  -->
							<td width="65">
								<xsl:choose>
									<xsl:when test="$type='wizard'
										or $type='previous-wizard'
										or $type='end-wizard'
										or $type='error'
										">
										<xsl:choose>
											<xsl:when test="$lang = 'fr'">
										<input type="image" name="Previous" src="&back-fr;"
											value="Previous" alt="[Previous]" title="Previous" border="0"/>
											</xsl:when>
											<xsl:when test="$lang = 'es'">
										<input type="image" name="Previous" src="&back-es;"
											value="Previous" alt="[Previous]" title="Previous" border="0"/>
											</xsl:when>
											<xsl:otherwise>
										<input type="image" name="Previous" src="&back-en;"
											value="Previous" alt="[Previous]" title="Previous" border="0"/>
											</xsl:otherwise>
										</xsl:choose>

									</xsl:when>
									<xsl:otherwise> <img src="&pixel;" width="65" height="1"/> </xsl:otherwise>
								</xsl:choose>
							</td>

							<!-- display Next Button on wizard or start-wizard page -->
							<td width="65">
								<xsl:choose>
									<xsl:when test="$type='wizard' or $type='start-wizard'">
										<xsl:choose>
											<xsl:when test="$lang = 'fr'">
										<input type="image" name="Next" src="&next-fr;"
											value="Next" alt="[Next]" title="Next" border="0"/>
											</xsl:when>
											<xsl:when test="$lang = 'es'">
										<input type="image" name="Next" src="&next-es;"
											value="Next" alt="[Next]" title="Next" border="0"/>
											</xsl:when>
											<xsl:otherwise>
										<input type="image" name="Next" src="&next-en;"
											value="Next" alt="[Next]" title="Next" border="0"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:otherwise> <img src="&pixel;" width="65" height="1"/> </xsl:otherwise>
								</xsl:choose>
							</td>

							<!-- display Apply Button on end-wizard or apply page -->
							<td width="65">
								<xsl:choose>
									<xsl:when test="$type='end-wizard' or $type='apply'">
										<xsl:choose>
											<xsl:when test="$lang = 'fr'">
															<input type="image" name="Apply" src="&apply-fr;"
											value="Apply" alt="[Apply]" title="Apply" border="0"/>
											</xsl:when>
											<xsl:when test="$lang = 'es'">
										<input type="image" name="Apply" src="&apply-es;"
											value="Apply" alt="[Apply]" title="Apply" border="0"/>
											</xsl:when>
											<xsl:otherwise>
										<input type="image" name="Apply" src="&apply-en;"
											value="Apply" alt="[Apply]" title="Apply" border="0"/>
											</xsl:otherwise>
										</xsl:choose>

									</xsl:when>
									<xsl:otherwise> <img src="&pixel;" width="65" height="1"/> </xsl:otherwise>
								</xsl:choose>
							</td>

						</tr>
					</table>
				</div>
				<xsl:comment> End of navigation bar </xsl:comment> 

			</xsl:template>


			<!--
			$path is the expression with your path, and filename template looks something like this: 
			-->

			<xsl:template name="filename">
				<xsl:param name="x"/>
				<xsl:choose>
					<xsl:when test="starts-with($x,'/')">
						<!--
						<xsl:call-template name="filename">
							<xsl:with-param name="x" select="substring-after($x,'/')"/>
						</xsl:call-template>
						-->
						<xsl:value-of select="substring-after($x,'/')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$x"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:template>


		</xsl:stylesheet>
		<!-- $Id: include.xsl,v 1.9 2002/11/28 16:50:42 philippe Exp $ -->

