<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'> 

  <xsl:param name="address"/>

  <xsl:output method="text" encoding="iso-8859-1"  indent="yes" omit-xml-declaration="yes"/>

		<xsl:strip-space elements="Index"/>
			<xsl:variable name="root-name">
				<xsl:value-of select="Index/@name"/>
			</xsl:variable>

		<xsl:template match="Index"> 
			<xsl:apply-templates/>
		</xsl:template>

		<xsl:template match="Group">
			<xsl:variable name="id">
				<xsl:number level="single"/>
			</xsl:variable>

			<xsl:variable name="gid">
				<xsl:value-of select="concat('1',$id*100)"/>
			</xsl:variable>
			<!--
			<xsl:value-of select="$gid*10"/>
			<xsl:value-of select="@label"/>
			-->
	<xsl:call-template name="generate_nav_bar">
		<xsl:with-param name="label"><xsl:value-of select="@label"/></xsl:with-param>
		<xsl:with-param name="longtitle"><xsl:value-of select="@longtitle"/></xsl:with-param>
		<xsl:with-param name="nav-id"><xsl:value-of select="$gid*10"/></xsl:with-param>
		<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
		<xsl:with-param name="root-name"><xsl:value-of select="$root-name"/></xsl:with-param>
		<xsl:with-param name="address"><xsl:value-of select="$address"/></xsl:with-param>
	</xsl:call-template>

<xsl:for-each select="Group">
	<xsl:variable name="sub-id">
		<xsl:number level="single" format="01"/>
	</xsl:variable>
	<xsl:variable name="sub-gid">
		<xsl:value-of select="($gid+$sub-id)*10"/>
	</xsl:variable>
	<!--
	<xsl:value-of select="$sub-gid"/>
	<xsl:value-of select="@label"/>
	-->
	<xsl:call-template name="generate_nav_bar">
		<xsl:with-param name="label"><xsl:value-of select="@label"/></xsl:with-param>
		<xsl:with-param name="longtitle"><xsl:value-of select="@longtitle"/></xsl:with-param>
		<xsl:with-param name="nav-id"><xsl:value-of select="$sub-gid"/></xsl:with-param>
		<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
		<xsl:with-param name="root-name"><xsl:value-of select="$root-name"/></xsl:with-param>
		<xsl:with-param name="address"><xsl:value-of select="$address"/></xsl:with-param>
	</xsl:call-template>

	<xsl:for-each select="Group">
		<xsl:variable name="last-id">
			<xsl:number level="single" format="01"/>
		</xsl:variable>
		<!--
		<xsl:value-of select="$sub-gid+$last-id"/>
		<xsl:value-of select="@label"/>
		-->
	<xsl:call-template name="generate_nav_bar">
		<xsl:with-param name="label"><xsl:value-of select="@label"/></xsl:with-param>
		<xsl:with-param name="longtitle"><xsl:value-of select="@longtitle"/></xsl:with-param>
		<xsl:with-param name="nav-id"><xsl:value-of select="$sub-gid+$last-id"/></xsl:with-param>
		<xsl:with-param name="name"><xsl:value-of select="@name"/></xsl:with-param>
		<xsl:with-param name="root-name"><xsl:value-of select="$root-name"/></xsl:with-param>
		<xsl:with-param name="address"><xsl:value-of select="$address"/></xsl:with-param>
	</xsl:call-template>

	</xsl:for-each>

</xsl:for-each>
		</xsl:template>

<xsl:template name="generate_nav_bar">
<xsl:param name="$nav-id"/>
<xsl:param name="$label"/>
<xsl:param name="$longtitle"/>
<xsl:param name="$name"/>
<xsl:param name="$root-name"/>
<xsl:param name="$address"/>
<xsl:value-of select="$nav-id"/><xsl:text>|</xsl:text>
<xsl:value-of select="$label"/><xsl:text>|</xsl:text>
<xsl:value-of select="$longtitle"/><xsl:text>|</xsl:text>
<xsl:choose>
<xsl:when test="string-length(@href)>0">
<xsl:value-of select="@href"/><xsl:text>|</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$address"/><xsl:text>?where=</xsl:text>
<xsl:value-of select="$nav-id"/><xsl:text disable-output-escaping="yes">&amp;file=</xsl:text>
<xsl:value-of select="$root-name"/><xsl:text>/</xsl:text>
<xsl:value-of select="$name"/><xsl:text>/</xsl:text>
<xsl:value-of select="$name"/><xsl:text disable-output-escaping="yes">.wvm&amp;cmd=start|</xsl:text>
</xsl:otherwise>
</xsl:choose>
<xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="@label"/>

</xsl:stylesheet>
<!-- $Id: index.xsl,v 1.4 2002/03/15 13:51:33 philippe Exp $ -->
